/*
 * ADAPT2D : a software for automatic mesh adaptation in 2D
 *
 * AUTHOR : Manuel J. Castro Diaz(e-mail:castro@gamba.cie.uma.es)
 * ADAPTED FOR FREEFEM : Prud'homme Christophe (e-mail:prudhomm@ann.jussieu.fr) 
 *
 * this code is public domain
 * 
 * You may copy freely these files and use it for    
 * teaching or research. These or part of these may   
 * not be sold or used for a commercial purpose without
 * our consent
 * 
 * Any problems should be reported to the AUTHOR
 * at the following address : castro@gamba.cie.uma.es
 */


#include <params.hxx>

void parameter::write(std::ostream& os) {
  os <<"Mesh adaptation parameters."<<std::endl
     <<"==========================="<<std::endl;
  os <<"  sol:"<<sol<<std::endl;
  os <<"  nsol:"<<nsol<<std::endl;
  os <<"  timtr:"<<timtr<<std::endl;
  os <<"  timesh:"<<timesh<<std::endl;
  os <<"  sol_interp:"<<sol_interp<<std::endl;
  os <<"  tinterp:"<<tinterp<<std::endl;
  os <<"  scale:"<<scale<<std::endl;
  os <<"  nbt_max:"<<nbt_max<<std::endl;
  os <<"  err0:"<<err0<<std::endl;
  os <<"  lmin:"<<lmin/scale<<std::endl;
  os <<"  lmax:"<<lmax/scale<<std::endl;
  os <<"  aniso:"<<aniso<<std::endl;
  os <<"  hwall:"<<hwall/scale<<std::endl;
  os <<"  refwall:"<<refwall<<std::endl;
  os <<"  angulo:"<<angulo<<std::endl;
  os <<"  nit:"<<nit<<std::endl;
  os <<"  segur:"<<segur<<std::endl;
  os <<"  reg_ini:"<<reg_ini<<std::endl;
  os <<"  reg_fin:"<<reg_fin<<std::endl;
  os <<"  rel_mtr:"<<rel_mtr<<std::endl;
  os <<"  fluid_NS:"<<fluid_NS<<std::endl<<std::endl<<std::flush;
}
std::ostream& operator<<(std::ostream& os, parameter& pp) {pp.write(os); return os;}
void parameter::change(Scalar escala) {
  scale=escala;
  lmin=lmin*scale;
  lmax=lmax*scale;
  hwall=hwall*scale;
}
